Firefox não abre [RESOLVIDO]

1. Firefox não abre [RESOLVIDO]

Victor Pilotto
victor.p

(usa Ubuntu)

Enviado em 10/01/2011 - 01:08h

Colegas da VoL estou com um problema, instalei o slackwake 64bits no meu desktop, já fiz o lance pra rodar aplicativos 32 em 64, então fui instalar o firefox, usando o pacote .txz não foi e nem pelo que foi baixado do site

Quando tento executar ele aparece esse erro:

/usr/lib/firefox-3.6.3/run-mozilla.sh: line 143: /usr/lib/firefox-3.6.3/firefox-bin: No such file or directory

Alguem sabe como resolver isso, procurei bastante mais nenhum resposta


  


2. Re: Firefox não abre [RESOLVIDO]

Artur Gaspar
Miojo

(usa Fedora)

Enviado em 10/01/2011 - 01:18h

Poste os resultados dos comandos:
cat /usr/lib/firefox-3.6.3/run-mozilla.sh
ls /usr/lib/firefox-3.6.3/


3. Re: Firefox não abre [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 10/01/2011 - 01:18h

Depois que atualizei o sistema, a versão instalada aqui é o Firefox 3.6.13.

Se não me engano é a última versão. Por que baixou outra?


4. Re: Firefox não abre [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 10/01/2011 - 01:34h

Estranho...

Meu Slack64 instalou o Firefox como parte da instalação "full" e o slackpgk o atualizou para 3.6.13, como disse o Izaias.

E quanto ao flash, estou usando a versão nativa, de 64 bits.

E seu problema parece ser específico. O Script que roda o firefox (run-mozilla.sh) não encontra o executável (firefox.bin) na pasta indicada (/usr/lib/firefox-3.6.3/).

Meu conselho:

-- se vc não fez uma instalação "full", procure pelo pacote do firefox no DVD e instale-o, juntamente com as dependências (vc vai ter que descobrir quais são);

-- após ter o 3.6.3 funcionando, pois é esta a versão que vem no DVD, atualize pelo slackpgk para a última, ou seja, a 3.6.13;

-- se quiser insistir na instalação manual, siga a dica dada para Debian pelo Morimoto, no link abaixo, obviamente com as adaptações necessárias, lembrando de baixar uma versão 64 bits do site da Mozilla.

LINK:

http://www.gdhpress.com.br/blog/guia-debian-lenny/


5. Re: Firefox não abre [RESOLVIDO]

Victor Pilotto
victor.p

(usa Ubuntu)

Enviado em 10/01/2011 - 09:34h

Então sempre instalei o slackware, porem removendo um porre de coisa, mais agora eu instalei full e não veio o firefox

cat /usr/lib/firefox-3.6.3/run-mozilla.sh


#!/bin/sh
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
cmdname=`basename "$0"`
MOZ_DIST_BIN=`dirname "$0"`
MOZ_DEFAULT_NAME="./${cmdname}-bin"
MOZ_APPRUNNER_NAME="./mozilla-bin"
MOZ_VIEWER_NAME="./viewer"
MOZ_PROGRAM=""

exitcode=0
#
##
## Functions
##
##########################################################################
moz_usage()
{
echo "Usage: ${cmdname} [options] [program]"
echo ""
echo " options:"
echo ""
echo " -g Run in debugger."
echo " --debug"
echo ""
echo " -d debugger Debugger to use."
echo " --debugger debugger"
echo ""
echo " Examples:"
echo ""
echo " Run the viewer"
echo ""
echo " ${cmdname} viewer"
echo ""
echo " Run the mozilla-bin binary"
echo ""
echo " ${cmdname} mozilla-bin"
echo ""
echo " Debug the viewer in a debugger"
echo ""
echo " ${cmdname} -g viewer"
echo ""
echo " Debug the mozilla-bin binary in gdb"
echo ""
echo " ${cmdname} -g mozilla-bin -d gdb"
echo ""
return 0
}
##########################################################################
moz_bail()
{
message=$1
echo
echo "$cmdname: $message"
echo
exit 1
}
##########################################################################
moz_test_binary()
{
binary=$1
if [ -f "$binary" ]
then
if [ -x "$binary" ]
then
return 1
fi
fi
return 0
}
##########################################################################
moz_get_debugger()
{
debuggers="ddd gdb dbx bdb"
debugger="notfound"
done="no"
for d in $debuggers
do
moz_test_binary /bin/which
if [ $? -eq 1 ]
then
dpath=`which ${d}`
else
dpath=`LC_MESSAGES=C type ${d} | awk '{print $3;}' | sed -e 's/\.$//'`
fi
if [ -x "$dpath" ]
then
debugger=$dpath
break
fi
done
echo $debugger
return 0
}
##########################################################################
moz_run_program()
{
prog=$MOZ_PROGRAM
##
## Make sure the program is executable
##
if [ ! -x "$prog" ]
then
moz_bail "Cannot execute $prog."
fi
##
## Run the program
##
"$prog" ${1+"$@"}
exitcode=$?
}
##########################################################################
moz_debug_program()
{
prog=$MOZ_PROGRAM
##
## Make sure the program is executable
##
if [ ! -x "$prog" ]
then
moz_bail "Cannot execute $prog."
fi
if [ -n "$moz_debugger" ]
then
moz_test_binary /bin/which
if [ $? -eq 1 ]
then
debugger=`which $moz_debugger`
else
debugger=`LC_MESSAGES=C type $moz_debugger | awk '{print $3;}' | sed -e 's/\.$//'`
fi
else
debugger=`moz_get_debugger`
fi
if [ -x "$debugger" ]
then
tmpfile=`mktemp /tmp/mozargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
# echo -n isn't portable, so pipe through perl -pe chomp instead
echo "set args" | perl -pe 'chomp' > $tmpfile
for PARAM in "$@"
do
echo " '$PARAM'" | perl -pe 'chomp' >> $tmpfile
done
echo >> $tmpfile
# If you are not using ddd, gdb and know of a way to convey the arguments
# over to the prog then add that here- Gagan Saksena 03/15/00
case `basename $debugger` in
gdb) echo "$debugger $prog -x $tmpfile"
$debugger "$prog" -x $tmpfile
exitcode=$?
;;
ddd) echo "$debugger --debugger \"gdb -x $tmpfile\" $prog"
$debugger --debugger "gdb -x $tmpfile" "$prog"
exitcode=$?
;;
*) echo "$debugger $prog ${1+"$@"}"
$debugger "$prog" ${1+"$@"}
exitcode=$?
;;
esac
else
echo "Could not find a debugger on your system."
fi
}
##########################################################################
##
## Command line arg defaults
##
moz_debug=0
moz_debugger=""
#
##
## Parse the command line
##
while [ $# -gt 0 ]
do
case $1 in
-g | --debug)
moz_debug=1
shift
;;
-d | --debugger)
moz_debugger=$2;
if [ "${moz_debugger}" != "" ]; then
shift 2
else
echo "-d requires an argument"
exit 1
fi
;;
*)
break;
;;
esac
done
#
##
## Program name given in $1
##
if [ $# -gt 0 ]
then
MOZ_PROGRAM=$1
shift
fi
##
## Program not given, try to guess a default
##
if [ -z "$MOZ_PROGRAM" ]
then
##
## Try this script's name with '-bin' appended
##
if [ -x "$MOZ_DEFAULT_NAME" ]
then
MOZ_PROGRAM=$MOZ_DEFAULT_NAME
## Try viewer (this should be deprecated)
##
elif [ -x "$MOZ_VIEWER_NAME" ]
then
MOZ_PROGRAM=$MOZ_VIEWER_NAME
##
## Try mozilla-bin
##
elif [ -x "$MOZ_APPRUNNER_NAME" ]
then
MOZ_PROGRAM=$MOZ_APPRUNNER_NAME
fi
fi
#
#
##
## Make sure the program is executable
##
if [ ! -x "$MOZ_PROGRAM" ]
then
moz_bail "Cannot execute $MOZ_PROGRAM."
fi
#
##
## Set MOZILLA_FIVE_HOME
##
MOZILLA_FIVE_HOME=$MOZ_DIST_BIN

if [ -z "$MRE_HOME" ]; then
MRE_HOME=$MOZILLA_FIVE_HOME
fi
##
## Set LD_LIBRARY_PATH
##
## On Solaris we use $ORIGIN (set in RUNPATH) instead of LD_LIBRARY_PATH
## to locate shared libraries.
##
## When a shared library is a symbolic link, $ORIGIN will be replaced with
## the real path (i.e., what the symbolic link points to) by the runtime
## linker. For example, if dist/bin/libxul.so is a symbolic link to
## toolkit/library/libxul.so, $ORIGIN will be "toolkit/library" instead of "dist/bin".
## So the runtime linker will use "toolkit/library" NOT "dist/bin" to locate the
## other shared libraries that libxul.so depends on. This only happens
## when a user (developer) tries to start firefox, thunderbird, or seamonkey
## under dist/bin. To solve the problem, we should rely on LD_LIBRARY_PATH
## to locate shared libraries.
##
## Note:
## We test $MOZ_DIST_BIN/*.so. If any of them is a symbolic link,
## we need to set LD_LIBRARY_PATH.
##########################################################################
moz_should_set_ld_library_path()
{
[ `uname -s` != "SunOS" ] && return 0
for sharedlib in $MOZ_DIST_BIN/*.so
do
[ -h $sharedlib ] && return 0
done
return 1
}
if moz_should_set_ld_library_path
then
LD_LIBRARY_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins:${MRE_HOME}${LD_LIBRARY_PATH+":$LD_LIBRARY_PATH"}
fi

if [ -n "$LD_LIBRARYN32_PATH" ]
then
LD_LIBRARYN32_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins:${MRE_HOME}${LD_LIBRARYN32_PATH+":$LD_LIBRARYN32_PATH"}
fi
if [ -n "$LD_LIBRARYN64_PATH" ]
then
LD_LIBRARYN64_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins:${MRE_HOME}${LD_LIBRARYN64_PATH+":$LD_LIBRARYN64_PATH"}
fi
if [ -n "$LD_LIBRARY_PATH_64" ]; then
LD_LIBRARY_PATH_64=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins:${MRE_HOME}${LD_LIBRARY_PATH_64+":$LD_LIBRARY_PATH_64"}
fi
#
#
## Set SHLIB_PATH for HPUX
SHLIB_PATH=${MOZ_DIST_BIN}:${MRE_HOME}${SHLIB_PATH+":$SHLIB_PATH"}
#
## Set LIBPATH for AIX
LIBPATH=${MOZ_DIST_BIN}:${MRE_HOME}${LIBPATH+":$LIBPATH"}
#
## Set DYLD_LIBRARY_PATH for Mac OS X (Darwin)
DYLD_LIBRARY_PATH=${MOZ_DIST_BIN}:${MRE_HOME}${DYLD_LIBRARY_PATH+":$DYLD_LIBRARY_PATH"}
#
## Set LIBRARY_PATH for BeOS
LIBRARY_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/components:${MRE_HOME}${LIBRARY_PATH+":$LIBRARY_PATH"}
#
## Set ADDON_PATH for BeOS
ADDON_PATH=${MOZ_DIST_BIN}${ADDON_PATH+":$ADDON_PATH"}
#
## Solaris Xserver(Xsun) tuning - use shared memory transport if available
if [ "$XSUNTRANSPORT" = "" ]
then
XSUNTRANSPORT="shmem"
XSUNSMESIZE="512"
export XSUNTRANSPORT XSUNSMESIZE
fi

# Disable Gnome crash dialog
GNOME_DISABLE_CRASH_DIALOG=1
export GNOME_DISABLE_CRASH_DIALOG

if [ "$moz_debug" -eq 1 ]
then
echo "MOZILLA_FIVE_HOME=$MOZILLA_FIVE_HOME"
echo " LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
if [ -n "$LD_LIBRARYN32_PATH" ]
then
echo "LD_LIBRARYN32_PATH=$LD_LIBRARYN32_PATH"
fi
if [ -n "$LD_LIBRARYN64_PATH" ]
then
echo "LD_LIBRARYN64_PATH=$LD_LIBRARYN64_PATH"
fi
if [ -n "$LD_LIBRARY_PATH_64" ]; then
echo "LD_LIBRARY_PATH_64=$LD_LIBRARY_PATH_64"
fi
if [ -n "$DISPLAY" ]; then
echo "DISPLAY=$DISPLAY"
fi
if [ -n "$FONTCONFIG_PATH" ]; then
echo "FONTCONFIG_PATH=$FONTCONFIG_PATH"
fi
if [ -n "$MOZILLA_POSTSCRIPT_PRINTER_LIST" ]; then
echo "MOZILLA_POSTSCRIPT_PRINTER_LIST=$MOZILLA_POSTSCRIPT_PRINTER_LIST"
fi
echo "DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH"
echo " LIBRARY_PATH=$LIBRARY_PATH"
echo " SHLIB_PATH=$SHLIB_PATH"
echo " LIBPATH=$LIBPATH"
echo " ADDON_PATH=$ADDON_PATH"
echo " MOZ_PROGRAM=$MOZ_PROGRAM"
echo " MOZ_TOOLKIT=$MOZ_TOOLKIT"
echo " moz_debug=$moz_debug"
echo " moz_debugger=$moz_debugger"
fi
#
export MOZILLA_FIVE_HOME LD_LIBRARY_PATH
export SHLIB_PATH LIBPATH LIBRARY_PATH ADDON_PATH DYLD_LIBRARY_PATH

if [ $moz_debug -eq 1 ]
then
moz_debug_program ${1+"$@"}
else
moz_run_program ${1+"$@"}
fi

exit $exitcode



ls /usr/lib/firefox-3.6.3:


victor@slackware:~$ ls /usr/lib/firefox-3.6.3/
LICENSE greprefs/ libsqlite3.so*
README.txt icons/ libssl3.so*
Throbber-small.gif libfreebl3.chk libxpcom.so*
application.ini libfreebl3.so* libxul.so*
blocklist.xml libmozjs.so* modules/
browserconfig.properties libnspr4.so* mozilla-xremote-client*
chrome/ libnss3.so* platform.ini
components/ libnssckbi.so* plugins/
crashreporter* libnssdbm3.chk removed-files
crashreporter-override.ini libnssdbm3.so* res/
crashreporter.ini libnssutil3.so* run-mozilla.sh*
defaults/ libplc4.so* searchplugins/
extensions/ libplds4.so* update.locale
firefox* libsmime3.so* updater*
firefox-bin* libsoftokn3.chk updater.ini
firefox.orig* libsoftokn3.so*

Alguma ideia ?


6. Re: Firefox não abre [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 10/01/2011 - 16:25h

Realmente não há um arquivo "firefox-bin", mas há um "firefox-bin*". Tente, como root,

cp /usr/lib/firefox-3.6.3/firefox-bin* /usr/lib/firefox-3.6.3/firefox-bin

e veja se abre ou se o erro muda.


7. Re: Firefox não abre [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 10/01/2011 - 20:43h

Então, amigo, renomear ajudou, mudou o erro ou destruiu seu Slack (brincadeira)?


8. Re: Firefox não abre [RESOLVIDO]

Victor Pilotto
victor.p

(usa Ubuntu)

Enviado em 10/01/2011 - 22:45h

Então pinduvoz, esse * no firefox-bin é porque usei o comando com meu usuario, se executo com root, não aparece mais, mais mesmo assim tentei fazer e não adiantou em nada, sorte que não destruio meu slackware


9. Re: Firefox não abre [RESOLVIDO]

anna kamilla
annakamilla

(usa Manjaro Linux)

Enviado em 10/01/2011 - 23:22h

vitor baxa o firefox do site e move para o /opt/ remove o .tgz e linka ele no /usr/bin

exemplificando:

anna@annakslack:$ cd desktop (ou diretório baixado)
anna@annakslack:~/Desktop (ou diretório baixado)$ su root

senha: ***********
anna@annakslack:~/Desktop (ou diretório baixado)# tar -vxjf firefox+tab.tar.bz2 -C /opt/
blz descompactando .................................................
anna@annakslack:~/Desktop (ou diretório baixado)# cd /opt/
anna@annakslack:/opt/# cd firefox
anna@annakslack:/opt/firefox# ln -s firefox /usr/bin/firefox
dai vc testa e ve se resolve.

anna@annakslack:/opt/firefox$ firefox








10. Re: Firefox não abre [RESOLVIDO]

Néscio Ignorante
Ignorante

(usa Slackware)

Enviado em 10/01/2011 - 23:23h

Apenas digite no terminal

$ firefox

E poste o erro que vai dar...


11. Re: Firefox não abre [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 10/01/2011 - 23:39h

A ideia da Ana é a "receita" do Morimoto para ter o Firefox no Debian (veja link meu acima).

Descompacta, move para /opt/firefox, muda o dono de /opt/firefox/ (vc sendo o dono, pode atualizar o Firefox por ele mesmo) e "linka" em /usr/bin.

Quando eu instalo o Debian faço isso e uso na boa.

Agora, só não sei se no site da Mozilla tem pacote do Firefox para 64 bits.


12. Re: Firefox não abre [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 10/01/2011 - 23:46h

Parece que não tem 64 bits não. Veja:

http://www.mozilla.com/pt-BR/firefox/all.html



01 02 03



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts